JP(1)

NAME
libervia-cli - Libervia's command-line interface

SYNOPSIS
jp [ --help | --version ] jp [ command [ --help | options ] ]

DESCRIPTION
Jp is Salut à Toi's non-interactive command-line interface. It allows one to send or receive files directly from a shell, pipe commands to or from XMPP, use XMPP easily in a script, etc. The following commands are supported:

•   file File sending/receiving

•   profile Profile commands

•   pipe Stream piping through XMPP

•   info Get various pieces of information on entities

•   ad-hoc Ad-hoc commands

•   params Save/load parameters template

•   bookmarks Manage bookmarks

•   message Send a message to a contact

To read the help of a command or subcommand, call it with the --help (or -h) option (examples: jp file --help, jp file send --help, etc.).

OPTIONS

--version
    show version number and quit

--help
-h
    display a help message and quit

SEE ALSO
sat(1)

AUTHORS AND COPYING
Salut à Toi was written by Jérôme Poisson <goffi@goffi.org>. This man page was converted from the help message and Salut à Toi's wiki by Matteo Cypriani <mcy@lm7.fr> for the Debian distribution (2013-2014). It is released under the terms of the Creative Commons Attribution-ShareAlike 3.0 Unported license (CC-By-SA 3.0).